Subject: Re: bug#65518: 30.0.50; [FR Eglot] Completions over all workspace symbols

From: Gerd Möllmann <[email-masked]>
Date: Mon, 28 Aug 2023 13:10:09 +0200

On 28.08.23 02:19, Dmitry Gutov wrote:
> On 25/08/2023 12:22, João Távora wrote:
>> You'll see Eglot sends the widest possible 'query' to the LSP server
>> which returns a limited number of names (clangd caps at exactly 100 by
>> default).
> 
> Perhaps it's worth documenting how this value could be increased 
> (argument --limit-results=, apparently).

I've tried that now, and it works pretty nicely for me.  Apple clang 
version 14.0.3 (clang-1403.0.22.14.1)

I now have

export CLANGD_FLAGS="--limit-results=1000 --limit-references=1000"

in my .zshenv, and I'm using exec-path-from-shell in Emacs to get
that setting into Emacs on macOS.

Also, and completely unrelatad, I found that one can add a .clangd, 
which made post-processing the compile_commands.json generated by bear 
unneccessary.

Put a .clangd in the toplevel directory of the Emacs tree with contents

---
If:
     PathMatch: "src/.*\.c"
CompileFlags:
     Add: [-include=config.h]

(Not sure if that first line is obligatory.  I'm not a YAML user.)